; Function to copy one block of memory into another.
; Used for data movement in the master environment block.
;       void movLblk(char far *dest, char far *source, int count);
; For Turbo C 2.0, small/tiny model.
; Written and tested with Turbo Assembler 1.0
; By Goh King Hwa, 20 Dec 1989.

_TEXT   segment byte public 'CODE'
        assume cs:_TEXT
_movLblk	proc	near
	push	bp
	mov	bp,sp
        push    ds
        push    si
        push    di

        cld
        les     di,dword ptr [bp+4]     ;get dest address
        lds     si,dword ptr [bp+8]     ;get source address
        mov     cx,[bp+12]              ;get count
        rep     movsb

        pop     di
        pop     si
        pop     ds
	pop	bp
	ret	
_movLblk	endp
_TEXT	ends

        public  _movLblk
	end
